Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452739 - yum prefers arch-specific package over rpm-newer noarch package on install
Summary: yum prefers arch-specific package over rpm-newer noarch package on install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 18:23 UTC by Jarod Wilson
Modified: 2014-01-21 06:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:44:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0176 normal SHIPPED_LIVE yum bug fix update 2009-01-20 16:05:43 UTC

Description Jarod Wilson 2008-06-24 18:23:00 UTC
Description of problem:
On three different RHEL5.2 hosts now, I've seen yum prefer an arch-specific
package over an rpm-newer noarch package of the same name.

Details:

1) Freshly installed RHEL5.2 host, running yum-3.2.8-9.el5.
2) Never has had the package in question (mock) installed
3) mock 0.8.9-1.el5.x86_64 gets picked for install over mock 0.9.7-1.el5.noarch


How reproducible:
# rpm -ivh epel-release-5-3.noarch.rpm 
warning: epel-release-5-3.noarch.rpm: Header V3 DSA signature: NOKEY, key ID
217521f6
Preparing...                ########################################### [100%]
   1:epel-release           ########################################### [100%]

# yum install mock
Loading "security" plugin
Loading "rhnplugin" plugin
This system is not registered with RHN.
RHN support will be disabled.
rhel5-Server              100% |=========================| 1.1 kB    00:00     
primary.xml.gz            100% |=========================| 992 kB    00:00     
rhel5-Serv: ################################################## 2944/2944
rhel5-VT                  100% |=========================| 1.1 kB    00:00     
primary.xml.gz            100% |=========================| 7.3 kB    00:00     
rhel5-VT  : ################################################## 35/35
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package mock.x86_64 0:0.8.9-1.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 mock                    x86_64     0.8.9-1.el5      epel               71 k

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 71 k
Is this ok [y/N]: N

# yum list mock
Loading "security" plugin
Loading "rhnplugin" plugin
This system is not registered with RHN.
RHN support will be disabled.
Available Packages
mock.x86_64                              0.8.9-1.el5            epel            
mock.noarch                              0.9.7-1.el5            epel 

So one can either let yum install 0.8.9, then do a 'yum upgrade mock', and you
wind up with the noarch one, or one can do a 'yum install mock.noarch' to get
the noarch one. Not a big deal, but certainly not the expected behavior.

Comment 1 James Antill 2008-06-24 19:38:18 UTC
 Interesting ... we've just seen and fixed this in Fedora 9, but that was/is due
to the recently introduced multilib_policy=best configuration option.
 I'm not sure how yum-3.2.8 gets into this problem ... if it's a similar problem
then yum update after the initial install of the older package will still work
... as will a "yum install mock.noarch".

 Either way this will get fixed when we update to the 3.2.17+ in RHEL-5.3, but I
can't imagine it getting fixed before that.


Comment 2 RHEL Product and Program Management 2008-06-24 20:03:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 errata-xmlrpc 2009-01-20 21:44:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0176.html


Note You need to log in before you can comment on or make changes to this bug.